package com.wd.workoffice.ui.activity.bat.work;

import android.os.Bundle;
import android.view.View;
import android.widget.LinearLayout;

import com.wd.workoffice.R;
import com.wd.workoffice.app.WorkToolBarActivity;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

/**
 * 工作台 - 财务
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class WorkFinancialActivity extends WorkToolBarActivity {

    @BindView(R.id.ll_back)
    LinearLayout llBack;
    @BindView(R.id.ll_pay)
    LinearLayout llPay;
    @BindView(R.id.ll_open_ticket)
    LinearLayout llOpenTicket;
    @BindView(R.id.ll_receive_ticket)
    LinearLayout llReceiveTicket;
    @BindView(R.id.ll_account)
    LinearLayout llAccount;
    @BindView(R.id.ll_logistics)
    LinearLayout llLogistics;

    @Override
    protected void initView() {
        ButterKnife.bind(this);
    }

    @Override
    protected void initData() {
    }

    @Override
    protected void initEvent() {
    }

    @Override
    protected int layoutId() {
        return R.layout.activity_work_financial;
    }


    @OnClick({R.id.ll_profit,R.id.ll_back, R.id.ll_pay, R.id.ll_open_ticket, R.id.ll_receive_ticket, R.id.ll_account, R.id.ll_logistics})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.ll_profit:
                startActivity(WorkFinancialProfitActivity.class);
                break;
            case R.id.ll_back:
                startActivity(WorkFinancialOutActivity.class);
                break;
            case R.id.ll_pay:
                startActivity(WorkFinancialPayActivity.class);
                break;
            case R.id.ll_open_ticket:
                startActivity(WorkFinancialTicketActivity.class);
                break;
            case R.id.ll_receive_ticket:
                startActivity(WorkFinancialReceiveTicketActivity.class);
                break;
            case R.id.ll_account:
                startActivity(WorkFinancialAccountActivity.class);
                break;
            case R.id.ll_logistics:
                startActivity(WorkLogisticActivity.class);
                break;
        }
    }
}
